Skip to main content
The pinned Lists endpoints let you look up a user’s pinned Lists and manage which Lists are pinned.
PrerequisitesBefore you begin, you’ll need:
  • A developer account with an approved App
  • User Access Token (OAuth 1.0a or OAuth 2.0 PKCE)

Available endpoints

Pinned Lists lookup

Get your pinned Lists

Manage pinned Lists

Pin and unpin Lists

Authentication

OperationAuthentication
Look up pinned ListsOAuth 1.0a or OAuth 2.0 PKCE
Pin/unpin ListsOAuth 1.0a or OAuth 2.0 PKCE
Both lookup and manage operations require user context authentication. App-only (Bearer Token) authentication is not supported.

Quick example

cURL
# Get pinned Lists
curl "https://api.x.com/2/users/2244994945/pinned_lists" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"

Next steps

List lookup

Get List details

Manage Lists

Create and update Lists